summarylogtreecommitdiffstats
path: root/gopass-ui-bin.install
diff options
context:
space:
mode:
Diffstat (limited to 'gopass-ui-bin.install')
-rw-r--r--gopass-ui-bin.install22
1 files changed, 22 insertions, 0 deletions
diff --git a/gopass-ui-bin.install b/gopass-ui-bin.install
new file mode 100644
index 000000000000..1bbd1d6a1d86
--- /dev/null
+++ b/gopass-ui-bin.install
@@ -0,0 +1,22 @@
+post_install() {
+ :
+#!/bin/bash
+
+# Link to the binary
+ln -sf '/opt/Gopass UI/gopass-ui' '/usr/bin/gopass-ui'
+
+# SUID chrome-sandbox for Electron 5+
+chmod 4755 '/opt/Gopass UI/chrome-sandbox' || true
+
+update-mime-database /usr/share/mime || true
+update-desktop-database /usr/share/applications || true
+
+}
+post_remove() {
+ :
+#!/bin/bash
+
+# Delete the link to the binary
+rm -f '/usr/bin/gopass-ui'
+
+}